if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[vDocumentiRighe]') and OBJECTPROPERTY(id, N'IsView') = 1)
drop view [dbo].[vDocumentiRighe]
GO

/****** Object:  View [dbo].[vDocumentiRighe]    Script Date: 18/02/2019 11:46:10 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[vDocumentiRighe]
AS
SELECT        dbo.DocumentiRighe.IDDocumentoRiga, dbo.DocumentiRighe.IDDocumento, dbo.DocumentiRighe.IDCausaleMovimento, dbo.DocumentiRighe.NumeroRiga, dbo.DocumentiRighe.Qta, 
                         dbo.DocumentiRighe.PrezzoCopertina, dbo.DocumentiRighe.PrezzoNetto, dbo.DocumentiRighe.IVA, dbo.DocumentiRighe.PrezzoCessione, dbo.DocumentiRighe.Sconto, 
                         dbo.DocumentiRighe.CompensoCompiegamento, dbo.DocumentiRighe.SviluppoNetto, dbo.DocumentiRighe.ContoDepositoNonFatturato, dbo.DocumentiRighe.Buono, dbo.DocumentiRighe.Note, 
                         dbo.DocumentiRighe.TipoRecord, dbo.DocumentiRighe.Spunta, dbo.DocumentiRighe.QtaRec, dbo.DocumentiRighe.DataOraVendita, dbo.DocumentiRighe.IDVendita, dbo.DocumentiRighe.InfoRivDataInvio, 
                         dbo.DocumentiRighe.IDUscita, dbo.DocumentiRighe.IDDL, dbo.Uscite.NumeroCopertina, dbo.Uscite.DataUscita, dbo.Prodotti.Testata, dbo.Uscite.BarcodeAddon, dbo.Prodotti.CodiceTestata AS Expr1, 
                         dbo.Prodotti.IDProd, dbo.Uscite.IDUscita AS Expr2, dbo.DocumentiRighe.IDOperatore, dbo.DocumentiRighe.Descrizione, dbo.DocumentiRighe.UM, dbo.TipiProdotto.TipoProdottoInfoRiv, 
                         dbo.TipiProdotto.Descrizione AS Expr3, dbo.Uscite.CodiceInforete, dbo.DocumentiRighe.IDIva
FROM            dbo.Prodotti INNER JOIN
                         dbo.Uscite ON dbo.Prodotti.IDProd = dbo.Uscite.IDProd LEFT OUTER JOIN
                         dbo.TipiProdotto ON dbo.Prodotti.IDTipoProdotto = dbo.TipiProdotto.IDTipoProdotto RIGHT OUTER JOIN
                         dbo.DocumentiRighe ON dbo.Uscite.IDUscita = dbo.DocumentiRighe.IDUscita

GO

EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane1', @value=N'[0E232FF0-B466-11cf-A24F-00AA00A3EFFF, 1.00]
Begin DesignProperties = 
   Begin PaneConfigurations = 
      Begin PaneConfiguration = 0
         NumPanes = 4
         Configuration = "(H (1[12] 4[50] 2[20] 3) )"
      End
      Begin PaneConfiguration = 1
         NumPanes = 3
         Configuration = "(H (1 [50] 4 [25] 3))"
      End
      Begin PaneConfiguration = 2
         NumPanes = 3
         Configuration = "(H (1 [50] 2 [25] 3))"
      End
      Begin PaneConfiguration = 3
         NumPanes = 3
         Configuration = "(H (4 [30] 2 [40] 3))"
      End
      Begin PaneConfiguration = 4
         NumPanes = 2
         Configuration = "(H (1 [56] 3))"
      End
      Begin PaneConfiguration = 5
         NumPanes = 2
         Configuration = "(H (2 [66] 3))"
      End
      Begin PaneConfiguration = 6
         NumPanes = 2
         Configuration = "(H (4 [50] 3))"
      End
      Begin PaneConfiguration = 7
         NumPanes = 1
         Configuration = "(V (3))"
      End
      Begin PaneConfiguration = 8
         NumPanes = 3
         Configuration = "(H (1[56] 4[18] 2) )"
      End
      Begin PaneConfiguration = 9
         NumPanes = 2
         Configuration = "(H (1 [75] 4))"
      End
      Begin PaneConfiguration = 10
         NumPanes = 2
         Configuration = "(H (1[66] 2) )"
      End
      Begin PaneConfiguration = 11
         NumPanes = 2
         Configuration = "(H (4 [60] 2))"
      End
      Begin PaneConfiguration = 12
         NumPanes = 1
         Configuration = "(H (1) )"
      End
      Begin PaneConfiguration = 13
         NumPanes = 1
         Configuration = "(V (4))"
      End
      Begin PaneConfiguration = 14
         NumPanes = 1
         Configuration = "(V (2))"
      End
      ActivePaneConfig = 0
   End
   Begin DiagramPane = 
      Begin Origin = 
         Top = -96
         Left = 0
      End
      Begin Tables = 
         Begin Table = "Prodotti"
            Begin Extent = 
               Top = 6
               Left = 38
               Bottom = 136
               Right = 255
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "Uscite"
            Begin Extent = 
               Top = 138
               Left = 38
               Bottom = 268
               Right = 299
            End
            DisplayFlags = 280
            TopColumn = 6
         End
         Begin Table = "TipiProdotto"
            Begin Extent = 
               Top = 270
               Left = 38
               Bottom = 400
               Right = 235
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "DocumentiRighe"
            Begin Extent = 
               Top = 402
               Left = 38
               Bottom = 532
               Right = 278
            End
            DisplayFlags = 280
            TopColumn = 29
         End
      End
   End
   Begin SQLPane = 
   End
   Begin DataPane = 
      Begin ParameterDefaults = ""
      End
   End
   Begin CriteriaPane = 
      Begin ColumnWidths = 11
         Column = 1440
         Alias = 900
         Table = 1170
         Output = 720
         Append = 1400
         NewValue = 1170
         SortType = 1350
         SortOrder = 1410
         GroupBy = 1350
         Filter = 1350
         Or = 1350
         Or = 1350
         Or = 1350
      End
   End
End
' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'vDocumentiRighe'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPaneCount', @value=1 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'vDocumentiRighe'
GO

